summaryrefslogtreecommitdiff
path: root/network/dahdi-linux/dahdi-linux.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/dahdi-linux/dahdi-linux.SlackBuild')
-rw-r--r--network/dahdi-linux/dahdi-linux.SlackBuild113
1 files changed, 113 insertions, 0 deletions
diff --git a/network/dahdi-linux/dahdi-linux.SlackBuild b/network/dahdi-linux/dahdi-linux.SlackBuild
new file mode 100644
index 0000000000..edc100615c
--- /dev/null
+++ b/network/dahdi-linux/dahdi-linux.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+# Copyright 2006,2009 Alan Hicks, Lizella, GA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM="dahdi-linux"
+VERSION="2.2.0.2"
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+KERNEL=${KERNEL:-$(uname -r)}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG="$TMP/pkg-$PRGNAM"
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+# Grab the original ARCH. This is necessary for x86 systems, 'cause the
+# Makefile checks ARCH to determine how to compile the kernel modules.
+ORIGARCH=$ARCH
+
+if [ "$ARCH" = "i486" -o "$ARCH" = "i686" ]; then
+ ARCH=i386
+fi
+
+set -e
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# Copy the firmware files into place and pre-extract them
+( cp \
+ $CWD/dahdi-fw-oct6114-064-1.05.01.tar.gz \
+ $CWD/dahdi-fw-oct6114-128-1.05.01.tar.gz \
+ $CWD/dahdi-fw-tc400m-MR6.12.tar.gz \
+ $CWD/dahdi-fwload-vpmadt032-1.17.0.tar.gz \
+ drivers/dahdi/firmware || exit 1
+cd drivers/dahdi/firmware
+ for i in *.tar.gz ; do tar xf $i || exit 1 ; done
+) || exit 1
+
+# There's no ./configure script here.
+make DYNFS="yes" KVERS=$KERNEL
+make DYNFS="yes" KVERS=$KERNEL install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# udev handles device node creation
+rm -fr $PKG/dev
+mv $PKG/etc/udev $PKG/lib ; rmdir $PKG/etc
+
+# I don't think we need /usr/lib/hotplug at all at this point
+rm -rf $PKG/usr/lib # only ./hotplug/ is in there
+
+mkdir -p $PKG/install $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog LICENSE LICENSE.LGPL README UPGRADE.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+chown -R root:root $PKG/usr/doc
+
+cat $CWD/slack-desc > $PKG/install/slack-desc
+sed "s%@KERNEL@%$KERNEL%" $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Change the ARCH back so the package name is correct
+if [ ! "$ORIGARCH" = "$ARCH" ]; then
+ ARCH="$ORIGARCH"
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}